Loading...
Searching...
No Matches
filesystem_specific_attribute.hpp File Reference
Private

filesystem specific attributes More...

`#include "../my_config.h"`
`#include <string>`
`#include <deque>`
`#include "integers.hpp"`
`#include "fsa_family.hpp"`
`#include "datetime.hpp"`
`#include "generic_file.hpp"`

Go to the source code of this file.

## Classes

class | libdar::filesystem_specific_attribute
| Filesystem Specific Attributes (FSA) class. More...
class | libdar::filesystem_specific_attribute_list
| interface to fileystem for FSA More...
class | libdar::fsa_infinint
| fsa based on integer More...
class | libdar::fsa_time
| fsa based on time More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Functions

template<class T>
T * | libdar::cloner (const T *x)

## Detailed Description

filesystem specific attributes

Definition in file filesystem_specific_attribute.hpp.